<?php
namespace App\Controller\Api;

use App\Repository\HeroRepository;
use FOS\RestBundle\Controller\Annotations as Rest;
use FOS\RestBundle\Controller\AbstractFOSRestController;
use App\Entity\Hero;

/**
 *
 * @Rest\Route("hero")
 */
class HeroController extends AbstractFOSRestController
{

    protected HeroRepository $heroRepository;

    public function __construct(HeroRepository $heroRepository)
    {
        $this->heroRepository = $heroRepository;
    }

    /**
     *
     * @Rest\Route("es")
     * @Rest\View()
     */
    public function cgetAction(): array
    {
        return $this->heroRepository->findAll();
    }

    /**
     *
     * @Rest\Route("/{id}"))
     * @Rest\View()
     */
    public function getAction(int $id): ?Hero
    {
        return $this->heroRepository->find($id);
    }
}
