<?php
namespace App\DataFixtures;

use App\Entity\Hero;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;
use Doctrine\Common\DataFixtures\DependentFixtureInterface;

class HeroFixtures extends Fixture implements DependentFixtureInterface
{

    public function load(ObjectManager $manager)
    {
        $hero = new Hero();
        $hero->setName('ruffy');
        $hero->setUser($this->getReference(UserFixtures::ADMIN_USER_REFERENCE));

        $manager->persist($hero);

        $hero = new Hero();
        $hero->setName('goku');
        $hero->setUser($this->getReference(UserFixtures::DUDE_USER_REFERENCE));
        $manager->persist($hero);

        $manager->flush();
    }

    public function getDependencies()
    {
        return array(
            UserFixtures::class
        );
    }
}
