<?php
namespace App\Entity;

class Hero
{

    private ?int $id;

    private ?string $name;

    /**
     *
     * @var User
     */
    private $user;

    private Skillz $skills;

    public function __construct()
    {
        $this->skills = new Skillz();
    }

    public function getSkills(): Skillz
    {
        return $this->skills;
    }

    public function setSkills(Skillz $skills): self
    {
        $this->skills = $skills;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setUser(?User $user): self
    {
        $this->user = $user;

        return $this;
    }
}
